<?

		// http://trac.osgeo.org/mapguide/wiki/CodeSamples/JavaScript/OpenlayersExample

		include '../mapviewerphp/constants.php';
        // Initialize
        MgInitializeWebTier('C:\Program Files\MapGuideOpenSource2.0\WebServerExtensions\www\webconfig.ini');
		//MgInitializeWebTier('../webconfig.ini');
        // Establish a connection with a MapGuide site.
        $user = new MgUserInformation('Anonymous', '');
        $siteConnection = new MgSiteConnection();
        $siteConnection->Open($user);
        // Create a session repository
        $site = $siteConnection->GetSite();
        $sessionID = $site->CreateSession();
        $user->SetMgSessionId($sessionID);
        // Get an instance of the required services.
        $resourceService = $siteConnection->CreateService(MgServiceType::ResourceService);
        $mappingService = $siteConnection->CreateService(MgServiceType::MappingService);

        // Get a runtime map from a map definition
        $resourceID = new  MgResourceIdentifier('Library://Samples/Sheboygan/Maps/Sheboygan.MapDefinition');
        $map = new MgMap();
        $map->Create($resourceService, $resourceID, 'Sheboygan');
        $sel = new MgSelection($map);
        $sel->Save($resourceService, 'Sheboygan');

        $mapStateId = new MgResourceIdentifier("Session:" . $sessionID . "//" . "Sheboygan" . "." . MgResourceType::Map);
        $map->Save($resourceService, $mapStateId);
?>

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <style type="text/css">
        #map {
            width: 600;
            height: 600;
            border: 1px solid black;
            float:left;
        }
    </style>
    <script language="JavaScript" src="http://www.openlayers.org/api/OpenLayers.js"></script>


    <script type="text/javascript">

        var map, map2, layer;
        var url = "http://demo01.dmsolutions.ca/mapguide/mapagent/mapagent.fcgi";
        //you can use this URL when MapGuide OS is installed locally
		var url = "http://localhost:8008/mapguide/mapagent/mapagent.fcgi";

        var metersPerUnit = 111319.4908;  //value returned from mapguide
        var inPerUnit = OpenLayers.INCHES_PER_UNIT.m * metersPerUnit;
        OpenLayers.INCHES_PER_UNIT["dd"] = inPerUnit;
        OpenLayers.INCHES_PER_UNIT["degrees"] = inPerUnit;
        OpenLayers.DOTS_PER_INCH = 96;


        function init(){

     		var mapBounds = new OpenLayers.Bounds(-87.764986990963,43.691398128788,-87.6955215109,43.79752000048);
	        var fixedScales =[1000,1930.6977300000001,3727.5937199999998,7196.8567300000004,13894.95494,26826.95795,51794.746789999997,100000];

            var mapOptions = {
                maxExtent: mapBounds,
                scales: fixedScales
            };
			
            map = new OpenLayers.Map( 'map', mapOptions );
			
			
	        //tiled map
			var tiledParams = {
              mapdefinition: 'Library://Samples/Sheboygan/MapsTiled/Sheboygan.MapDefinition',
              basemaplayergroupname: "Base Layer Group",
			  session: '<?=$sessionID?>'
            }

            var tiledOptions = {
              units: "dd",
              singleTile: false
            }
			
            var tiledLayer = new OpenLayers.Layer.MapGuide( "GetTileImage", 
				url, 
				tiledParams, 
				tiledOptions );
            map.addLayer(tiledLayer);
			
			//un-tiled versions

		     var dynamicOverlayOptions = {
              buffer: 1,
              singleTile: true,
			  isBaseLayer : false,
			  visibility : false
	         };

  		     var mapImageOptions = {
              buffer: 1,
              singleTile: true,
			  isBaseLayer : true
	          };


			var untiledParams = {
			  	session: '<?=$sessionID?>',
                mapname: 'Sheboygan'
			};

			var dynamicLayer = new OpenLayers.Layer.MapGuide( "GetDynamicMapOverlayImage", 
				url, 
				untiledParams, 
				dynamicOverlayOptions );
			map.addLayer(dynamicLayer);
			
			var mapImageLayer = new OpenLayers.Layer.MapGuide( "GetMapImage", 
				url, 
				untiledParams, 
				mapImageOptions );
			map.addLayer(mapImageLayer);


	        map.zoomToMaxExtent();

	        map.addControl(new OpenLayers.Control.MousePosition());
            map.addControl(new OpenLayers.Control.Scale());
			
    		var switcher=new OpenLayers.Control.LayerSwitcher();
			map.addControl(switcher);
			switcher.maximizeControl();


        }
    </script>
  </head>
  <body onload="init()">
    <p>Openlayers Mapguide tiled and untiled map, with map as layer Demo.<br>
	Setting OpenLayers.INCHES_PER_UNIT is required for tiled maps co-ordindates to be correct, plus this <a href="http://trac.openlayers.org/ticket/1676">patch</a>
	<BR>
	
	<a href="http://trac.osgeo.org/mapguide/wiki/CodeSamples/JavaScript/OpenlayersExample">
http://trac.osgeo.org/mapguide/wiki/CodeSamples/JavaScript/OpenlayersExample
</a><br>

	
	<a href="http://zacster.blogspot.com/">Zac Spitzer</a>
    <div id="map"></div>

	<br>

  </body>
</html>
